
%global meadversion 2.10.0
%global namedversion 2.10.0.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-dataformats-binary}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.10.0.redhat-00002

Name:           %{?scl_prefix}jackson-dataformats-binary
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson dataformats: Binary
Group:          Development/Java

%if %with mead
Source100: jackson-dataformats-binary-2.10.0.redhat-00002-project-sources.tar.gz
Source102: jackson-dataformat-smile-2.10.0.redhat-00002-javadoc.jar
Source103: jackson-dataformat-protobuf-2.10.0.redhat-00002.jar
Source104: jackson-dataformat-smile-2.10.0.redhat-00002.jar
Source105: jackson-dataformat-avro-2.10.0.redhat-00002-sources.jar
Source106: jackson-dataformat-protobuf-2.10.0.redhat-00002-sources.jar
Source107: jackson-dataformat-cbor-2.10.0.redhat-00002.pom
Source108: jackson-dataformat-protobuf-2.10.0.redhat-00002-javadoc.jar
Source109: jackson-dataformat-protobuf-2.10.0.redhat-00002.pom
Source110: jackson-dataformat-cbor-2.10.0.redhat-00002-javadoc.jar
Source111: jackson-dataformat-cbor-2.10.0.redhat-00002.jar
Source112: jackson-dataformat-ion-2.10.0.redhat-00002.pom
Source113: jackson-dataformat-avro-2.10.0.redhat-00002.jar
Source114: jackson-dataformat-avro-2.10.0.redhat-00002.pom
Source115: jackson-dataformat-cbor-2.10.0.redhat-00002-sources.jar
Source116: jackson-dataformat-smile-2.10.0.redhat-00002-sources.jar
Source117: jackson-dataformats-binary-2.10.0.redhat-00002.pom
Source118: jackson-dataformat-ion-2.10.0.redhat-00002-sources.jar
Source119: jackson-dataformat-smile-2.10.0.redhat-00002.pom
Source120: jackson-dataformat-ion-2.10.0.redhat-00002-javadoc.jar
Source121: jackson-dataformat-avro-2.10.0.redhat-00002-javadoc.jar
Source122: jackson-dataformat-ion-2.10.0.redhat-00002.jar
%endif

License:        ASL 2.0
URL:            http://wiki.fasterxml.com/JacksonExtensionXmlDataBinding

BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-dataformats-binary-%{namedversion}-%{release}-root

%description
Jackson binary dataformats.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-dataformats-binary
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%package -n %{?scl_prefix}jackson-dataformat-avro
Summary:        Jackson dataformat: Avro
Group:          Development/Java


%description -n %{?scl_prefix}jackson-dataformat-avro
Support for reading and writing AVRO-encoded data via Jackson 13 abstractions.

%package -n %{?scl_prefix}jackson-dataformat-cbor
Summary:        Jackson dataformat: CBOR
Group:          Development/Java


%description -n %{?scl_prefix}jackson-dataformat-cbor
Support for reading and writing Concise Binary Object Representation 13 ([CBOR](https://www.rfc-editor.org/info/rfc7049)
 14 encoded data using Jackson abstractions (streaming API, data binding, tree model).

%package -n %{?scl_prefix}jackson-dataformat-ion
Summary:        Jackson dataformat: Ion
Group:          Development/Java


%description -n %{?scl_prefix}jackson-dataformat-ion
Support for reading and writing Ion ("binary JSON") 14 encoded data using Jackson abstractions
(streaming API, data binding, 15 tree model).

%package -n %{?scl_prefix}jackson-dataformat-protobuf
Summary:        Jackson dataformat: protobuf
Group:          Development/Java


%description -n %{?scl_prefix}jackson-dataformat-protobuf
Support for reading and writing protobuf-encoded data via Jackson 13 abstractions.

%package -n %{?scl_prefix}jackson-dataformat-smile
Summary:        Jackson dataformat: Smile
Group:          Development/Java


%description -n %{?scl_prefix}jackson-dataformat-smile
Support for reading and writing Smile ("binary JSON") 13 encoded data using Jackson abstractions
(streaming API, data binding, 14 tree model).

%prep
%setup -q -n jackson-dataformats-binary-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-dataformat-avro-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-dataformat-avro-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-avro-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-dataformat-avro-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-avro-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-dataformat-avro-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jackson-dataformat-cbor-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-dataformat-cbor-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-cbor-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-dataformat-cbor-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-cbor-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-dataformat-cbor-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jackson-dataformat-ion-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-dataformat-ion-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-ion-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-dataformat-ion-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-ion-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-dataformat-ion-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jackson-dataformat-protobuf-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-dataformat-protobuf-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-protobuf-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-dataformat-protobuf-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-protobuf-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-dataformat-protobuf-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/jackson-dataformat-smile-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-dataformat-smile-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-smile-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-dataformat-smile-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-dataformat-smile-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-dataformat-smile-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-dataformats-binary-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-dataformats-binary-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-dataformats-binary-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-dataformats-binary-%{namedversion} %{buildroot}%{_javadocdir}/jackson-dataformats-binary
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-dataformats-binary-%{namedversion}
%{_javadocdir}/jackson-dataformats-binary
%endif

%files -n %{?scl_prefix_eap}jackson-dataformat-avro
%defattr(0644,root,root,0755)
%doc avro/README.md
%{_javadir}/jackson-dataformat-avro-%{namedversion}.jar
%{_javadir}/jackson-dataformat-avro.jar
%if %with javadoc
%{_javadir}/jackson-dataformat-avro-%{namedversion}-javadoc.jar
%{_javadir}/jackson-dataformat-avro-javadoc.jar
%else
%exclude %{_javadir}/jackson-dataformat-avro-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-dataformat-avro-javadoc.jar
%endif
%{_javadir}/jackson-dataformat-avro-%{namedversion}-sources.jar
%{_javadir}/jackson-dataformat-avro-sources.jar


%files -n %{?scl_prefix_eap}jackson-dataformat-cbor
%defattr(0644,root,root,0755)
%doc cbor/README.md
%{_javadir}/jackson-dataformat-cbor-%{namedversion}.jar
%{_javadir}/jackson-dataformat-cbor.jar
%if %with javadoc
%{_javadir}/jackson-dataformat-cbor-%{namedversion}-javadoc.jar
%{_javadir}/jackson-dataformat-cbor-javadoc.jar
%else
%exclude %{_javadir}/jackson-dataformat-cbor-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-dataformat-cbor-javadoc.jar
%endif
%{_javadir}/jackson-dataformat-cbor-%{namedversion}-sources.jar
%{_javadir}/jackson-dataformat-cbor-sources.jar

%files -n %{?scl_prefix_eap}jackson-dataformat-ion
%defattr(0644,root,root,0755)
%doc ion/README.md
%{_javadir}/jackson-dataformat-ion-%{namedversion}.jar
%{_javadir}/jackson-dataformat-ion.jar
%if %with javadoc
%{_javadir}/jackson-dataformat-ion-%{namedversion}-javadoc.jar
%{_javadir}/jackson-dataformat-ion-javadoc.jar
%else
%exclude %{_javadir}/jackson-dataformat-ion-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-dataformat-ion-javadoc.jar
%endif
%{_javadir}/jackson-dataformat-ion-%{namedversion}-sources.jar
%{_javadir}/jackson-dataformat-ion-sources.jar

%files -n %{?scl_prefix_eap}jackson-dataformat-protobuf
%defattr(0644,root,root,0755)
%doc protobuf/README.md
%{_javadir}/jackson-dataformat-protobuf-%{namedversion}.jar
%{_javadir}/jackson-dataformat-protobuf.jar
%if %with javadoc
%{_javadir}/jackson-dataformat-protobuf-%{namedversion}-javadoc.jar
%{_javadir}/jackson-dataformat-protobuf-javadoc.jar
%else
%exclude %{_javadir}/jackson-dataformat-protobuf-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-dataformat-protobuf-javadoc.jar
%endif
%{_javadir}/jackson-dataformat-protobuf-%{namedversion}-sources.jar
%{_javadir}/jackson-dataformat-protobuf-sources.jar

%files -n %{?scl_prefix_eap}jackson-dataformat-smile
%defattr(0644,root,root,0755)
%doc smile/README.md
%{_javadir}/jackson-dataformat-smile-%{namedversion}.jar
%{_javadir}/jackson-dataformat-smile.jar
%if %with javadoc
%{_javadir}/jackson-dataformat-smile-%{namedversion}-javadoc.jar
%{_javadir}/jackson-dataformat-smile-javadoc.jar
%else
%exclude %{_javadir}/jackson-dataformat-smile-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-dataformat-smile-javadoc.jar
%endif
%{_javadir}/jackson-dataformat-smile-%{namedversion}-sources.jar
%{_javadir}/jackson-dataformat-smile-sources.jar

%changelog
* Thu Nov 14 2019 Yong Yang <yyang@redhat.com> - 2.10.0-1.redhat_00002.1
- RPM wrapper build 2.10.0.redhat-00002

* Mon Oct 14 2019 Yong Yang <yyang@redhat.com> - 2.9.10-1.redhat_00003.1
- RPM wrapper build 2.9.10.redhat-00003


* Mon Oct 14 2019 Yong Yang <yyang@redhat.com> - 2.9.10.redhat-00003
- release

